
QGIS Application - Bug report #140

Color selection buttons do not show selected color

2006-06-06 02:48 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10199

Description

In the 2006-06-05 win32 build of qgis, in the options dialog, the selection color and background color buttons do no show the currently

selected color.

History

#1 - 2006-08-10 04:39 AM - anonymous -

Currently I dont work on Win build, assigned to Gary.

#2 - 2006-08-14 02:46 PM - Brendan Morley -

- Status changed from Open to In Progress

QToolButton::setPaletteBackgroundColor() is being used to colour the buttons, but appears to be a Qt3 idiom.  While the Qt3support might be OK for X11,

maybe [[TrollTech]] tested it less thoroughly on Windows.

I will try converting it to Qt4 and committing to subversion soon, but somebody else will need to recompile it for Windows.

#3 - 2006-08-15 02:07 AM - Brendan Morley -

- Status changed from In Progress to Open

Potential fix in commit:52e80e90 (SVN r5697).

Can somebody with access to a compiler for the Windows version please re-build and test?  The setPaletteBackgroundColor idiom exists in more than just

the options dialog, and all instances should be replaced before this ticket is closed.

Reassigning to gsherman as he was last seen with a Windows build.  (-:

#4 - 2006-09-15 11:59 PM - Brendan Morley -

- Status changed from Open to In Progress

As of a private Windows build based on commit:ebebef5a (SVN r5816), the potential fix does not work.  I will attempt some more research in due course.
#5 - 2006-09-23 05:44 PM - Brendan Morley -

A real fix is applied in subversion , but only covers the buttons in the Options and Project Properties dialogs at this time.  My Windows 2003 SP1 setup

confirms these changes work.

Other dialogs to follow.

Also, the Qt documentation implies this problem also occurs on Mac OS.  Can somebody with that OS confirm?

#6 - 2006-09-30 01:01 AM - Redmine Admin

I confirm the problem on many XP boxes (preview2). If someone is able to compile a preview3, I can do more testing.

#7 - 2006-11-10 07:25 PM - Gavin Macaulay -

- Status changed from In Progress to Closed

- Resolution set to fixed

All of the colour buttons that I could find appear to be fixed (in the latest window build).

#8 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
